Subject: [alpine-aports] [PATCH 1/4] Update skalibs to 2.3.8.3, move libskarnet.so.2.3 to /lib

From: Laurent Bercot <[email-masked]>
Date: Mon, 16 Nov 2015 12:44:51 +0100

---
 main/skalibs/APKBUILD | 27 ++++++++++++++++-----------
 1 file changed, 16 insertions(+), 11 deletions(-)

diff --git a/main/skalibs/APKBUILD b/main/skalibs/APKBUILD
index 30c6b9d..607d56d 100644
--- a/main/skalibs/APKBUILD
+++ b/main/skalibs/APKBUILD
@@ -1,7 +1,7 @@
+# Maintainer: Laurent Bercot <[email-masked]>
 # Contributor: John Regan <[email-masked]>
-# Maintainer: John Regan <[email-masked]>
 pkgname=skalibs
-pkgver=2.3.8.2
+pkgver=2.3.8.3
 pkgrel=0
 pkgdesc="A set of general-purpose C programming libraries for skarnet.org software."
 url="http://skarnet.org/software/skalibs/"
@@ -11,7 +11,7 @@ depends=""
 depends_dev=""
 makedepends="$depends_dev"
 install=""
-subpackages="$pkgname-dev"
+subpackages="$pkgname-dev $pkgname-doc"
 source="http://skarnet.org/software/$pkgname/$pkgname-$pkgver.tar.gz"
 
 _builddir="$srcdir/$pkgname-$pkgver"
@@ -28,16 +28,15 @@ prepare() {
 build() {
 	cd "$_builddir"
 	./configure \
-		--build=$CBUILD \
 		--host=$CHOST \
 		--enable-shared \
 		--enable-static \
-		--prefix=/usr \
 		--libdir=/usr/lib \
-		--datadir=/etc \
+                --enable-clock \
 		--enable-force-devr \
 		|| return 1
 	make || return 1
+	make strip || return 1
 }
 
 package() {
@@ -48,10 +47,16 @@ package() {
 dev() {
 	default_dev
 	cd "$subpkgdir"
-	mv "$pkgdir/usr/lib/skalibs/sysdeps/"* usr/lib/skalibs/sysdeps/
-	rm -rf "$pkgdir/usr/lib/skalibs"
+	mv -f "$pkgdir/usr/lib/$pkgname"/sysdeps/* "usr/lib/$pkgname/sysdeps/"
+	rm -rf "$pkgdir/usr"
 }
 
-md5sums="09d1c450e520bdda5ad63026f74b1218  skalibs-2.3.8.2.tar.gz"
-sha256sums="96c224c7a6f8d53dda243acad029f3b760dafd370a9ee7f950df1bd1e6a5eef7  skalibs-2.3.8.2.tar.gz"
-sha512sums="e773a0045b00f53a62feefe283a3e5d7e7ba4e9aed295a573fe3533ca2d0c49e67b8b9953f46291ce68bbd35ce7d766ce6d1a2ab7f5a44939a479a6243a708c1  skalibs-2.3.8.2.tar.gz"
+doc() {
+	default_doc
+	mkdir -p "$subpkgdir/usr/share/doc"
+	cp -a "$_builddir/doc" "$subpkgdir/usr/share/doc/$pkgname"
+}
+
+md5sums="142a296760aab02f2821abf00706e53a  skalibs-2.3.8.3.tar.gz"
+sha256sums="3652e268f42ce60959dcc80ca3eba8dc17b6d365309179bfb0e04bc5f1603d7c  skalibs-2.3.8.3.tar.gz"
+sha512sums="da5f183cc83e238942cb20e70f334c498fac311e26e62b8ae497efd2a2a183114c2898deafbce8f4da396cae51678dc4927138e6b978ce474e98392e05a74d30  skalibs-2.3.8.3.tar.gz"
-- 
2.6.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Laurent Bercot <[email-masked]>
Date: Mon, 16 Nov 2015 12:44:53 +0100

---
 main/s6/APKBUILD | 22 ++++++++++++++--------
 1 file changed, 14 insertions(+), 8 deletions(-)

diff --git a/main/s6/APKBUILD b/main/s6/APKBUILD
index c049a77..a960504 100644
--- a/main/s6/APKBUILD
+++ b/main/s6/APKBUILD
@@ -1,7 +1,7 @@
+# Maintainer: Laurent Bercot <[email-masked]>
 # Contributor: John Regan <[email-masked]>
-# Maintainer: John Regan <[email-masked]>
 pkgname=s6
-pkgver=2.2.3.1
+pkgver=2.2.4.0
 pkgrel=0
 pkgdesc="skarnet.org's small & secure supervision software suite."
 url="http://skarnet.org/software/$pkgname/"
@@ -11,7 +11,7 @@ depends="skalibs execline"
 depends_dev="skalibs-dev execline-dev"
 makedepends="$depends_dev"
 install=""
-subpackages="$pkgname-dev"
+subpackages="$pkgname-dev $pkgname-doc"
 source="http://skarnet.org/software/$pkgname/$pkgname-$pkgver.tar.gz"
 
 _builddir="$srcdir/$pkgname-$pkgver"
@@ -28,15 +28,15 @@ prepare() {
 build() {
 	cd "$_builddir"
 	./configure \
-		--build=$CBUILD \
 		--host=$CHOST \
 		--enable-shared \
 		--enable-static \
 		--disable-allstatic \
-		--prefix=/usr \
 		--libdir=/usr/lib \
+		--with-dynlib=/lib \
 		|| return 1
 	make || return 1
+	make strip || return 1
 }
 
 package() {
@@ -44,6 +44,12 @@ package() {
 	make DESTDIR="$pkgdir" install || return 1
 }
 
-md5sums="461f4c169bcb00ad668a9f6180489a4c  s6-2.2.3.1.tar.gz"
-sha256sums="56c5df1be85458b10ce293a710727be9bb78e6b123484e488ca484c6bc392303  s6-2.2.3.1.tar.gz"
-sha512sums="9bcc4af5133501f9c904b7d856506ac606532bf62a96b3fb6d686c44136953254d9bbac90519cacc101164bad95add16e662a1c6612e07f4988a44ddf25d93d5  s6-2.2.3.1.tar.gz"
+doc() {
+	default_doc
+	mkdir -p "$subpkgdir/usr/share/doc"
+	cp -a "$_builddir/doc" "$subpkgdir/usr/share/doc/$pkgname"
+}
+
+md5sums="6b6cba589a4a72bba68819bcc00124b4  s6-2.2.4.0.tar.gz"
+sha256sums="9ca153e240c01fe758b0b9ce9c92318517f1c009e8485a3367a317c386d40158  s6-2.2.4.0.tar.gz"
+sha512sums="33da8866fa62b089c86b4add893c0d9ba34b5fd79a69f41661545020ad8a7309e1a1fe4c807aeb1ddbe87850687f05e969321c69487b63f3a7fad885a25f0a92  s6-2.2.4.0.tar.gz"
-- 
2.6.3

---

---

From: Laurent Bercot <[email-masked]>
Date: Mon, 16 Nov 2015 12:44:52 +0100

---
 main/execline/APKBUILD | 22 ++++++++++++++--------
 1 file changed, 14 insertions(+), 8 deletions(-)

diff --git a/main/execline/APKBUILD b/main/execline/APKBUILD
index 554bfff..d9433da 100644
--- a/main/execline/APKBUILD
+++ b/main/execline/APKBUILD
@@ -1,7 +1,7 @@
+# Maintainer: Laurent Bercot <[email-masked]>
 # Contributor: John Regan <[email-masked]>
-# Maintainer: John Regan <[email-masked]>
 pkgname=execline
-pkgver=2.1.4.4
+pkgver=2.1.4.5
 pkgrel=0
 pkgdesc="A small scripting language, to be used in place of a shell in non-interactive scripts."
 url="http://skarnet.org/software/$pkgname/"
@@ -11,7 +11,7 @@ depends="skalibs"
 depends_dev="skalibs-dev"
 makedepends="$depends_dev"
 install=""
-subpackages="$pkgname-dev"
+subpackages="$pkgname-dev $pkgname-doc"
 source="http://skarnet.org/software/$pkgname/$pkgname-$pkgver.tar.gz"

 package() {
 
-md5sums="f2fef90719507905217ce6a68f80dc33  execline-2.1.4.4.tar.gz"
-sha256sums="b9c4b4905e17a7caa4f187d62ce0755644a478ec9ea7f13f7bdbaca3c91ce425  execline-2.1.4.4.tar.gz"
-sha512sums="85420725dfde0147279a14f8f19d642c1bee2b123a002f2233f2d72db35bce63ab76077c92d4705b980f6f44a3ba2a8ffb0f9bddac2d8a189af26e0e823a363d  execline-2.1.4.4.tar.gz"
+doc() {
+	default_doc
+	mkdir -p "$subpkgdir/usr/share/doc"
+	cp -a "$_builddir/doc" "$subpkgdir/usr/share/doc/$pkgname"
+}
+
+md5sums="94eae34d6ebb1141864a2d9f7babd342  execline-2.1.4.5.tar.gz"
+sha256sums="ab4451d4992a5d7fb2ae34cffe4d0806e4902bf9aa27ee3b75617aa35379356f  execline-2.1.4.5.tar.gz"
+sha512sums="15a76c73afe98142b9f466edb442cad06ee69f0f0e15ad6a325c37f3878b4c5863b5cece67bd169e84b465a0f7f4f38f87fa88b2aa96fe40a20ebc3575a1ceb9  execline-2.1.4.5.tar.gz"
-- 
2.6.3

---